"ESS Solo-1 4.10.3019 - French"
[Version]
Signature="$CHICAGO$"
Class=MEDIA
ClassGUID={4d36e96c-e325-11ce-bfc1-08002be10318}
provider=%ESSMfgName%

[SourceDisksNames]
222="","",1

[SourceDisksFiles]
solo.sys=222
essolo.sys=222
essolo.com=222
essolo.exe=222
esslib.dll=222

[Manufacturer]
%ESSMfgName%=ESS

;; Mechanism for excluding drivers from the "Add New Hardware" list.
[ControlFlags]
;ExcludeFromSelect = PCI\VEN_125D&DEV_1969
ExcludeFromSelect = SOLO1_HWSBNODE

;; *EXCLUDE is a made up ID to prevent rank 1 drivers from showing in list.
;ExcludeFromSelect = *EXCLUDE

[ESS]
%SoloSB.DeviceDesc%=STUB_DEVICE, SOLO1_HWSBNODE
%Solo1.DeviceDesc%=SOLO_Device, PCI\VEN_125D&DEV_1969

[ESSAud.Interface.Wave]
AddReg=ESSAud.Interface.Wave.AddReg
[ESSAud.Interface.Wave.AddReg]
HKR,,FriendlyName,,%ESSAud.Wave.szPname%

[ESSAud.Interface.Topology]
AddReg=ESSAud.Interface.Topo.AddReg
;; warning!! must be "Topo" because "Topology" is too long
[ESSAud.Interface.Topo.AddReg]
HKR,,FriendlyName,,%ESSAud.Topology.szPname%

[WDM.Interface.FMSynth]
AddReg=WDM.Interface.FMSynth.AddReg
[WDM.Interface.FMSynth.AddReg]
HKR,,FriendlyName,,%WDM.FMSynth.szPname%

[WDM.Interface.UART]
AddReg=WDM.Interface.UART.AddReg
[WDM.Interface.UART.AddReg]
HKR,,FriendlyName,,%WDM.UART.szPname%

[WDM.Interface.Synth]
AddReg=WDM.Interface.Synth.AddReg
[WDM.Interface.Synth.AddReg]
HKR,,FriendlyName,,%WDM.Synth.szPname%

[SOLO_Device]
AlsoInstall=ks.registration(ks.inf),wdmaudio.registration(wdmaudio.inf)
CopyFiles=SOLO.CopyList,ESSOLOD.CopyList,ESSOLOSU.CopyList
AddReg=SOLO.AddReg,MixerInit.AddReg

[SOLO_Device.Interfaces]
AddInterface=%KSCATEGORY_AUDIO%,%KSNAME_Wave%,ESSAud.Interface.Wave
AddInterface=%KSCATEGORY_AUDIO%,%KSNAME_Topology%,ESSAud.Interface.Topology
AddInterface=%KSCATEGORY_AUDIO%,%KSNAME_UART%,WDM.Interface.UART
AddInterface=%KSCATEGORY_AUDIO%,%KSNAME_FMSynth%,WDM.Interface.FMSynth

[STUB_DEVICE]

[DestinationDirs]
SOLO.CopyList       = 10,system32\drivers ; %SystemRoot%\system32\drivers
ESSOLOD.CopyList = 30
ESSOLOSU.CopyList = 10

[SOLO.CopyList]
solo.sys

[ESSOLOD.CopyList]
essolo.com,,
essolo.sys,,

[ESSOLOSU.CopyList]
essolo.exe,,
esslib.dll,,

[SOLO.AddReg]
HKR,,AssociatedFilters,,"wdmaud,swmidi,redbook"
HKR,,Driver,,SOLO.SYS
HKR,,NTMPDriver,,"SOLO.sys,sbemul.sys"

HKR,Drivers,SubClasses,,"wave,midi,mixer"

HKR,Drivers\wave\wdmaud.drv, Driver,,wdmaud.drv
HKR,Drivers\midi\wdmaud.drv, Driver,,wdmaud.drv
HKR,Drivers\mixer\wdmaud.drv,Driver,,wdmaud.drv

HKR,Drivers\wave\wdmaud.drv, Description,,%*ESS.DeviceDesc%
HKR,Drivers\midi\wdmaud.drv, Description,,%WDM_MIDI%
HKR,Drivers\mixer\wdmaud.drv,Description,,%*ESS.DeviceDesc%

HKLM,%MediaCategories%\%ESSGUID.WaveOut%,Name,,%ESSPin.WaveOut%
HKLM,%MediaCategories%\%ESSGUID.WaveOut%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.Synth%,Name,,%ESSPin.Synth%
HKLM,%MediaCategories%\%ESSGUID.Synth%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.Cd%,Name,,%ESSPin.Cd%
HKLM,%MediaCategories%\%ESSGUID.Cd%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.LineIn%,Name,,%ESSPin.LineIn%
HKLM,%MediaCategories%\%ESSGUID.LineIn%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.Mic%,Name,,%ESSPin.Mic%
HKLM,%MediaCategories%\%ESSGUID.Mic%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.AuxB%,Name,,%ESSPin.AuxB%
HKLM,%MediaCategories%\%ESSGUID.AuxB%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.PCSpeaker%,Name,,%ESSPin.PCSpeaker%
HKLM,%MediaCategories%\%ESSGUID.PCSpeaker%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.3DEffect%,Name,,%ESSNode.3DEffect%
HKLM,%MediaCategories%\%ESSGUID.3DEffect%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.RecMon%,Name,,%ESSNode.RecMon%
HKLM,%MediaCategories%\%ESSGUID.RecMon%,Display,1,00,00,00,00

HKLM,%MediaCategories%\%ESSGUID.IISVolume%,Name,,%ESSNode.IISVolume%
HKLM,%MediaCategories%\%ESSGUID.IISVolume%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.IISMute%,Name,,%ESSNode.IISMute%
HKLM,%MediaCategories%\%ESSGUID.IISMute%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.IISPin%,Name,,%ESSPin.IISPin%
HKLM,%MediaCategories%\%ESSGUID.IISPin%,Display,1,00,00,00,00

HKLM,%MediaCategories%\%ESSGUID.PhoneVolume%,Name,,%ESSNode.PhoneVolume%
HKLM,%MediaCategories%\%ESSGUID.PhoneVolume%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.PhoneMute%,Name,,%ESSNode.PhoneMute%
HKLM,%MediaCategories%\%ESSGUID.PhoneMute%,Display,1,00,00,00,00
HKLM,%MediaCategories%\%ESSGUID.PhonePin%,Name,,%ESSPin.PhonePin%
HKLM,%MediaCategories%\%ESSGUID.PhonePin%,Display,1,00,00,00,00

;; RunTime and BugFix support, see runtime.h
HKR,,"BugFix",01,03,00,00,00
HKR,,"RunTime",01,01,00,00,00

;Uncomment the following line remove the joystick child device
;HKR,,"NoJoy",01,01,00,00,00

;Uncomment one of the following lines to set the legacy DMA mode for
;Intel LX/EX chipset
;HKR,,"LDMAMode",01,00,00,00,00         ; DDMA (default)
HKR,,"LDMAMode",01,01,00,00,00         ; TDMA
;HKR,,"LDMAMode",01,02,00,00,00         ; PCPCI

;Uncomment the following line remove the wave slider in the recording mixer
;HKR,,"RemoveWaveOutIn",01,01,00,00,00

HKR,,"MicPreampOn",01,01,00,00,00
HKR,,"SpatializerLevel",01,30,00,00,00

;; Uncomment the following line to update SIDSVID parameter in CONFIG.SYS
;HKR,,"SidSvidUpdate",01,01,00,00,00

;; Add entry to Run section to execute ESSOLO.EXE
HKLM,%RunKey%,ESSOLO,,ESSOLO.EXE

;; Set DAC2 Volume Setting
HKR,,"LeftWaveOutVolume",01,0b,00,00,00
HKR,,"RightWaveOutVolume",01,0b,00,00,00

[MixerInit.AddReg]
HKR,Config,"Master Volume",01,ff,7f,ff,7f
HKR,Config,"Master Mute",01,00,00,00,00
HKR,Config,"3-D Enable",01,01,00,00,00
HKR,Config,"Wave Out Volume",01,ff,7f,ff,7f
HKR,Config,"Wave Out Mute",01,00,00,00,00
HKR,Config,"PC Speaker Volume",01,ff,7f,ff,7f
HKR,Config,"PC Speaker Mute",01,00,00,00,00
HKR,Config,"Aux Volume",01,ff,7f,ff,7f
HKR,Config,"Aux Mute",01,00,00,00,00
HKR,Config,"Mic Volume",01,ff,7f,ff,7f
HKR,Config,"Mic Mute",01,01,00,00,00
HKR,Config,"Line In Volume",01,ff,7f,ff,7f
HKR,Config,"Line In Mute",01,00,00,00,00
HKR,Config,"CD Volume",01,ff,7f,ff,7f
HKR,Config,"CD Mute",01,00,00,00,00
HKR,Config,"MIDI Volume",01,ff,7f,ff,7f
HKR,Config,"MIDI Mute",01,00,00,00,00
HKR,Config,"IIS Volume",01,ff,7f,ff,7f
HKR,Config,"IIS Mute",01,00,00,00,00
HKR,Config,"Record Level",01,ff,7f,ff,7f
HKR,Config,"Record Monitor Enable",01,01,00,00,00
HKR,Config,"Wave Out Record Volume",01,ff,7f,ff,7f
HKR,Config,"Wave Out Record Mute",01,00,00,00,00
HKR,Config,"Aux Record Volume",01,ff,7f,ff,7f
HKR,Config,"Aux Record Mute",01,00,00,00,00
HKR,Config,"Mic Record Volume",01,ff,7f,ff,7f
HKR,Config,"Mic Record Mute",01,00,00,00,00
HKR,Config,"Line In Record Volume",01,ff,7f,ff,7f
HKR,Config,"Line In Record Mute",01,00,00,00,00
HKR,Config,"CD Record Volume",01,ff,7f,ff,7f
HKR,Config,"CD Record Mute",01,00,00,00,00
HKR,Config,"MIDI Record Volume",01,ff,7f,ff,7f
HKR,Config,"MIDI Record Mute",01,00,00,00,00
HKR,Config,"IIS Record Volume",01,ff,7f,ff,7f
HKR,Config,"IIS Record Mute",01,00,00,00,00
HKR,Config,"Phone Mute",01,01,00,00,00
HKR,Config,"Phone Volume",01,ff,7f,ff,7f
HKR,Config,"First Time",01,01,00,00,00

HKR,,"HideAuxBVolume",01,01,00,00,00
HKR,,"HideAuxBMute",01,01,00,00,00
HKR,,"AuxBMute",01,01,00,00,00
HKR,,"HideAuxBInVolume",01,01,00,00,00
HKR,,"HideAuxBInMute",01,01,00,00,00
HKR,,"AuxBInMute",01,01,00,00,00
HKR,,"HidePCSpeakerVolume",01,01,00,00,00
HKR,,"HidePCSpeakerMute",01,01,00,00,00
HKR,,"PCSpeakerMute",01,01,00,00,00
HKR,,"HidePhoneVolume",01,00,00,00,00
HKR,,"HidePhoneMute",01,00,00,00,00
HKR,,"PhoneMute",01,01,00,00,00
HKR,,"HideIISVolume",01,01,00,00,00
HKR,,"HideIISMute",01,01,00,00,00
HKR,,"IISMute",01,01,00,00,00
HKR,,"HideIISInVolume",01,01,00,00,00
HKR,,"HideIISInMute",01,01,00,00,00
HKR,,"IISInMute",01,01,00,00,00


;;**************** NT Install ****************

[STUB_DEVICE.NT]
[STUB_DEVICE.NT.SERVICES]
AddService=,0x2

[SOLO_Device.NT]
Include=ks.inf, wdmaudio.inf
Needs=KS.Registration, WDMAUDIO.Registration.NT
CopyFiles=SOLO.CopyList
AddReg=SOLO.AddReg

[SOLO_Device.NT.Interfaces]
AddInterface=%KSCATEGORY_AUDIO%,%KSNAME_Wave%,ESSAud.Interface.Wave
AddInterface=%KSCATEGORY_AUDIO%,%KSNAME_Topology%,ESSAud.Interface.Topology
AddInterface=%KSCATEGORY_AUDIO%,%KSNAME_UART%,WDM.Interface.UART
AddInterface=%KSCATEGORY_AUDIO%,%KSNAME_FMSynth%,WDM.Interface.FMSynth

[SOLO_Device.NT.Services]
AddService = wdmaud,  0x00000000, wdmaud_Service_Inst
AddService = swmidi,  0x00000000, swmidi_Service_Inst
AddService = solo,  0x00000002, solo_Service_Inst

[wdmaud_Service_Inst]
DisplayName    = %wdmaud.SvcDesc%
ServiceType    = 1                  ; SERVICE_KERNEL_DRIVER
StartType      = 1                  ; SERVICE_SYSTEM_START
ErrorControl   = 1                  ; SERVICE_ERROR_NORMAL
ServiceBinary  = %10%\system32\drivers\wdmaud.sys

[swmidi_Service_Inst]
DisplayName    = %swmidi.SvcDesc%
ServiceType    = 1                  ; SERVICE_KERNEL_DRIVER
StartType      = 1                  ; SERVICE_SYSTEM_START
ErrorControl   = 1                  ; SERVICE_ERROR_NORMAL
ServiceBinary  = %10%\system32\drivers\swmidi.sys

[solo_Service_Inst]
DisplayName    = %solo.SvcDesc%
ServiceType    = 1                  ; SERVICE_KERNEL_DRIVER
StartType      = 3                  ; SERVICE_SYSTEM_START
ErrorControl   = 1                  ; SERVICE_ERROR_NORMAL
ServiceBinary  = %10%\system32\drivers\solo.sys

[StandardMF.Reg]
HKR,,DevLoader,,*CONFIGMG
HKR,,Enumerator,,*CONFIGMG
HKR,,CMDrivFlags,1,03,00,00,00

[Strings]
ESSMfgName="ESS Technology, Inc."
*ESS.DeviceDesc="ESS AudioDrive (WDM)"

ESSAud.Wave.szPname="ESS AudioDrive"
ESSAud.Topology.szPname="ESS AudioDrive"
ESSAud.Synth.szPname="ESS AudioDrive"

Solo1.DeviceDesc="ESS Solo-1 PCI AudioDrive (WDM)"
SoloSB.DeviceDesc="ESS Solo-1 SoundBlaster Compatible (WDM)"

;; ESS friendly names (non-localizeable)
ESSGUID.WaveOut   ="{D6C86C60-51D8-11d1-A482-006097C79D21}"
ESSGUID.Synth     ="{D6C86C61-51D8-11d1-A482-006097C79D21}"
ESSGUID.Cd        ="{D6C86C62-51D8-11d1-A482-006097C79D21}"
ESSGUID.LineIn    ="{D6C86C63-51D8-11d1-A482-006097C79D21}"
ESSGUID.Mic       ="{D6C86C64-51D8-11d1-A482-006097C79D21}"
ESSGUID.AuxB      ="{D6C86C65-51D8-11d1-A482-006097C79D21}"
ESSGUID.PCSpeaker ="{D6C86C66-51D8-11d1-A482-006097C79D21}"
ESSGUID.3DEffect  ="{D6C86C67-51D8-11d1-A482-006097C79D21}"
ESSGUID.RecMon    ="{D6C86C68-51D8-11d1-A482-006097C79D21}"
ESSGUID.IISVolume ="{4AABCD47-FB00-11d1-9B43-006097C79D21}"
ESSGUID.IISMute   ="{4AABCD48-FB00-11d1-9B43-006097C79D21}"
ESSGUID.IISPin    ="{4AABCD41-FB00-11d1-9B43-006097C79D21}"
ESSGUID.PhoneVolume = "{7DCEDC62-0F43-11D2-905C-A4841B262922}"
ESSGUID.PhoneMute   = "{7DCEDC61-0F43-11D2-905C-A4841B262922}"
ESSGUID.PhonePin    = "{7DCEDC60-0F43-11D2-905C-A4841B262922}"

;; ESS friendly names (localizeable)
ESSPin.WaveOut    ="Sortie d'onde"
ESSPin.Synth      ="Synthtiseur"
ESSPin.Cd         ="CD"
ESSPin.LineIn     ="Entre de ligne"
ESSPin.Mic        ="Microphone"
ESSPin.AuxB       ="AuxB"
ESSPin.PCSpeaker  ="Haut-parleur PC"
ESSNode.3DEffect  ="Effet 3D activ"
ESSNode.RecMon    ="Moniteur d'enregistrement"
ESSPin.IISPin     ="IIS"
ESSNode.IISVolume ="Volume IIS"
ESSNode.IISMute   ="Sourdine IIS"
ESSPin.PhonePin     ="Tl."
ESSNode.PhoneVolume ="Vol tl."
ESSNode.PhoneMute   ="Sourdine tl."

*MS.MPU401.DeviceDesc="Microsoft MPU Audio Driver(WDM)"

MediaCategories="SYSTEM\CurrentControlSet\Control\MediaCategories"
RunKey="SOFTWARE\Microsoft\Windows\CurrentVersion\Run"
WDM_MIDI="WDM-based Device"

KSCATEGORY_AUDIO="{6994AD04-93EF-11D0-A3CC-00A0C9223196}"
KSNAME_Wave="Wave"
KSNAME_UART="UART"
KSNAME_MUART="MaestroUart"
KSNAME_FMSynth="FMSynth"
KSNAME_Topology="Topology"
KSNAME_Wavetable="Wavetable"

WDM.UART.szPname="MPU-401"
WDM.FMSynth.szPname="ESFM Synthesizer"
WDM.Synth.szPname="DLS Synthesizer"

wdmaud.SvcDesc = "Microsoft WDM Virtual Wave Driver (WDM)"
swmidi.SvcDesc = "Microsoft Software Synthesizer (WDM)"
ms_mpu401.SvcDesc = "Microsoft MPU-401 MIDI UART Driver (WDM)"
solo.SvcDesc = "ESS Solo Audio Driver (WDM)"



